Subject: Re: automatic relocation problem? (WAS: problem with 3rd party lib)
From: Thomas Kowatsch <[email-masked]>
To: Paul Sokolovsky <[email-masked]>, Cygwin List <[email-masked]>
Date: Thu, 16 Sep 1999 16:46:19 +0200

Paul Sokolovsky wrote:

> Hello Thomas,
>
> Thomas Kowatsch <[email-masked]> wrote:
>
> TK> Thomas Kowatsch wrote:
>
> >> Earnie Boyd wrote:
> >>
> >> > --- Thomas Kowatsch <[email-masked]> wrote:
> >> > > I tracked the problem a litlle bit more down. It seems to me that
> >> > -8<-
> >> > > 779d0000:/c/WINNT/System32/MSVCRT40.dll
> >> > > 78000000:/c/WINNT/system32/MSVCRT.dll
> >> > > 780a0000:/c/WINNT/System32/MSVCIRT.dll
> >> > > warning: LDR: Automatic DLL Relocation in testit3.exe
> >> > >
> >> > -8<-
> >> > > 61000000:/usr/local/cygnus/cygwin-b20/usr/bin/cygwin1.dll
> >> > -8<-
> >> >
> >> > Your problem is that you're using two different runtimes.
> >>
> >> I think my 3rd party library is using the MSVCRT runtime. Is thereany
> >> way I can use this 3rd party lib then and cygwin?
> >>
> >> Is this a general problem that MSVC libraries are not usable? So
> >> the 3rd party vendor has to support a cygwin version?
>
> []
>
> TK> While I was writing that, I received Mumit's mail saying:
>
> TK> "There are times when it will work, and there are times when
> TK>  it won't."
>
> TK> This is very disappointing as I have no chance of not using that
> TK> 3rd party lib. I will have to contact the vendor and check it out.
> TK> If I have no luck, then I will have to do a native port :(((((((
>
>     You'd better first answer to yourself do you really need cygwin
> in your prog, i.e. comprehensive POSIX implementation. Maybe some
> subset (e.g., no fork) will be enough for you? If so just use mingw32
> - it will use msvcrt also (if set up that way).

Unfortunately we have a lot of POSIX/UNIX stuff in there includingRPC
client and servers and as I understand the RPC implementation
of VC is totally different.

Regards
Tommy

>
>
> TK> Wish me luck
> TK> Tommy
>
> Best regards,
>  Paul                            mailto:[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]